# Class BasicColorChooserUI.PropertyHandler

java.lang.Object
javax.swing.plaf.basic.BasicColorChooserUI.PropertyHandler

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Enclosing class:
  `BasicColorChooserUI`

public class BasicColorChooserUI.PropertyHandler extends Object implements PropertyChangeListener
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicColorChooserUI`.

## Constructor Summary

Constructors
Constructor
Description
`PropertyHandler()`
Constructs a `PropertyHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange(PropertyChangeEvent e)`
This method gets called when a bound property is changed.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### PropertyHandler

public PropertyHandler()
Constructs a `PropertyHandler`.

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent e)
Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.